import type { EventKey } from './analytics.types';
export declare const useAnalyticsEvents: () => {
    fireEvent: <K extends EventKey>(eventKey: K, ...params: undefined extends import("./analytics.types").AnalyticsEventAttributes[K] ? [
        param?: import("./analytics.types").AnalyticsEventAttributes[K] | undefined
    ] : [
        param: import("./analytics.types").AnalyticsEventAttributes[K]
    ]) => void;
};
